Subject: Re: [PATCH] [2.6.26] [CAN] Fix can_send() handling on dev_queue_xmit() failures

From: Oliver Hartkopp <[email-masked]>
Date: Thu, 08 May 2008 20:27:49 +0200

Sam Ravnborg wrote:
> On Thu, May 08, 2008 at 07:00:39PM +0200, Oliver Hartkopp wrote:
>   
>>
>>
>> Maybe we should also consider to push the patch from Sam regarding the 
>> wrong copy_from_user() results interpretation to the stable tree:
>>
>> can: Fix copy_from_user() results interpretation
>>
>> author 	Sam Ravnborg <[email-masked]>
>>
>> 	Sun, 27 Apr 2008 05:57:25 +0000 (22:57 -0700)
>> committer 	David S. Miller <[email-masked]>
>>
>> 	Sun, 27 Apr 2008 21:26:51 +0000 (14:26 -0700)
>> commit 	3f91bd420a955803421f2db17b2e04aacfbb2bb8
>>     
>
> I recall tat I considered stable material when I did
> this patch. But as I merely just did a codingstyle update
> of the old patch I dropped it.
>
> But looks like possible -stable materail so I've added
> [email-masked] to the to list so they can judge.
>   

Yep. Thanks.

Indeed you updated the codingstyle from a patch suggested by Pavel - but 
his (original) patch fixes the copy_from_user() result interpretation. 
So it was not only a codingstyle patch which was commited here.

Best regards,
Oliver